Skip to main content
POST
https://api.trillet.ai
/
v2
/
api
/
recordings
/
start-recording
Start Recording
curl --request POST \
  --url https://api.trillet.ai/v2/api/recordings/start-recording \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>' \
  --data '
{
  "pathwayId": "<string>",
  "roomName": "<string>"
}
'
{
  "message": "Recording started successfully",
  "result": {
    "egressId": "EG_abc123"
  }
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Request Body

pathwayId
string
required
The call flow pathway ID associated with the call.
roomName
string
required
The LiveKit room name of the active call to start recording.

Response Fields

message
string
Confirmation message.
result
object
Recording result details from LiveKit.
{
  "message": "Recording started successfully",
  "result": {
    "egressId": "EG_abc123"
  }
}